varying vec2 		texcoord;
uniform sampler2D 	tex,
					pos;
uniform float		focus;
uniform float		wFar;
					
void main()
{
	float radius=(focus*0.5);
	float d=-texture2D(pos, texcoord).z;
	float t0=(d-radius)/radius;
	t0=clamp(t0,0.0,1.0);
	gl_FragColor.rgb =	texture2D(tex, texcoord).rgb;
	gl_FragColor.a = t0;
}
